<id>
Admin HTML in Posts
</id>

<version>
1.1 for Yabb 2.3 modified by multikon
</version>

<mod info>
Allows an Admin to post HTML code into any post using [html] ... [/html].
</mod info>

<author>
James Andrews
</author>

<homepage>
http://www.time-clan.com
</homepage>

<edit file>
Sources\Display.pl
</edit file>

<search for>
		$posthandelblock =~ s/({|<)yabb quote(}|>)/$template_quote/g;
</search for>

<add after>
		### ADMIN HTML ###

if (${$uid.$musername}{'position'} eq "Administrator" || ${$uid.$musername}{'position'} eq "Global Moderator") {

			$message =~ s~\[html\]\s*(.+?)\s*\[/html\]~&AdminHTML($1)~eisg;

		}

		### ADMIN HTML END ###

</add after>

<search for>
sub Display {
</search for>

<add before>
### ADMIN HTML ###

sub AdminHTML{
	$html = $_[0];
	$html =~ s/&quot;/"/g;
	$html =~ s/&nbsp;/ /g;
	$html =~ s/&lt;/</g;
	$html =~ s/&gt;/>/g;
	$html =~ s/&#124;/\|/g;
	$html =~ s/&amp;/&/g;
	$html =~ s/<br \/>//g;
	$html =~ s/<br>//g;
	$html =~ s/<br\/>//g;
	return $html;
}

### ADMIN HTML END ###

</add before>

<edit file>
Admin\ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$admin_html = "Admin HTML in Posts|James Andrews|Allows admins to post html code using [html] ... [/html]|1.0|19-07-2006";
	push (@installed_mods, $admin_html);

</add before>

<edit file>
Sources/Recent.pl
</edit file>

<search for>
$recentplver = 'YaBB 2.3.1 $Revision: 1.17.2.12.2.9 $';
if ($action eq 'detailedversion') { return 1; }
</search for>

<add after>

### ADMIN HTML ###

sub AdminHTML{
	$html = $_[0];
	$html =~ s/&quot;/"/g;
	$html =~ s/&nbsp;/ /g;
	$html =~ s/&lt;/</g;
	$html =~ s/&gt;/>/g;
	$html =~ s/&#124;/\|/g;
	$html =~ s/&amp;/&/g;
	$html =~ s/<br \/>//g;
	$html =~ s/<br>//g;
	$html =~ s/<br\/>//g;
	return $html;
}

### ADMIN HTML END ###


</add after>

<search for>
	@messages  = sort {$b <=> $a} @messages;

	if ($numfound > 0) {
		if ($numfound > $display) { $numfound = $display; }
		$counter = 1;
		&LoadCensorList;
	} else {
		$yymain .= qq~<hr class="hr"><b>$maintxt{'170'}</b><hr>~;
	}

	for ($i = 0; $i < $numfound; $i++) {
		($dummy, $board, $tnum, $c, $tusername, $tname, $msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $message, $mns, $tstate, $trstart) = split(/\|/, $messages[$i]);
		$displayname = $mname;

		if ($tusername ne 'Guest' && -e ("$memberdir/$tusername.vars")) { &LoadUser($tusername); }
		if (${$uid.$tusername}{'regtime'}) {
			$registrationdate = ${$uid.$tusername}{'regtime'};
		} else {
			$registrationdate = $date;
		}

		if (${$uid.$tusername}{'regdate'} && $trstart > $registrationdate) {
			$tname = qq~<a href="$scripturl?action=viewprofile;username=$useraccount{$tusername}">${$uid.$tusername}{'realname'}</a>~;
		} elsif ($tusername !~ m~Guest~ && $trstart < $registrationdate) {
			$tname = qq~$tname - $maintxt{'470a'}~;
		} else {
			$tname = "$tname ($maintxt{'28'})";
		}

		if ($musername ne 'Guest' && -e ("$memberdir/$musername.vars")) { &LoadUser($musername); }
		if (${$uid.$musername}{'regtime'}) {
			$registrationdate = ${$uid.$musername}{'regtime'};
		} else {
			$registrationdate = $date;
		}

		if (${$uid.$musername}{'regdate'} && $mdate > $registrationdate) {
			$mname = qq~<a href="$scripturl?action=viewprofile;username=$useraccount{$musername}">${$uid.$musername}{'realname'}</a>~;
		} elsif ($musername !~ m~Guest~ && $mdate < $registrationdate) {
			$mname = qq~$mname - $maintxt{'470a'}~;
		} else {
			$mname = "$mname ($maintxt{'28'})";
		}

		&wrap;
		($message, undef) = &Split_Splice_Move($message,$tnum);
		if ($enable_ubbc) {
			$ns = $mns;
			if (!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; }
			&DoUBBC;
		}
		&wrap2;
</search for>

<add after>

		
				### ADMIN HTML ###

if (${$uid.$musername}{'position'} eq "Administrator" || ${$uid.$musername}{'position'} eq "Global Moderator") {

			$message =~ s~\[html\]\s*(.+?)\s*\[/html\]~&AdminHTML($1)~eisg;

		}

		### ADMIN HTML END ###
		

</add after>